springboot dubbo使用的是2.6.2,结合seata1.5.1,报错要怎么解决啊?-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

springboot dubbo使用的是2.6.2,结合seata1.5.1,报错要怎么解决啊?

来自:阿里中间件 2022-06-28 12:46:15 115 1

springboot dubbo使用的是2.6.2,结合seata1.5.1,报错com.alibaba.dubbo.remoting.RemotingException: java.lang.NoSuchMethodError: com.alibaba.dubbo.rpc.RpcContext.getServerContext()Lcom/alibaba/dubbo/rpc/RpcContext;

取消 提交回答
全部回答(1)
  • CCC啊
    2022-06-28 13:43:50

    seata降级至1.4.2应该是可以的,或者升级到2.7.1的dubbo 此答案整理自钉钉群“3群-Seata 开源讨论群”

    0 0
相关问答

1

回答

Seata1.5.2总是报错要怎么解决啊?

2022-07-25 11:12:32 51浏览量 回答数 1

1

回答

Seata 支持dubbo3了吗?

2022-07-18 13:12:14 349浏览量 回答数 1

1

回答

Seata中出现端口冲突要怎么解决啊?

2022-07-11 14:51:20 70浏览量 回答数 1

1

回答

HTTP 响应报头方法void setBufferSize(int size)是什么意思?

2021-12-02 20:16:23 61浏览量 回答数 1

2

回答

Dubbo 如何使用 Spring Cloud 服务注册与发现?

2021-03-17 17:20:41 759浏览量 回答数 2

1

回答

注册时使用spring声明式事务管理? 400 报错

2020-06-02 17:19:04 390浏览量 回答数 1

1

回答

Dubbo 使用的是什么通信框架?

2020-03-15 15:17:45 888浏览量 回答数 1

1

回答

spring发布dubbo时报错For input string

2019-11-04 14:54:48 1055浏览量 回答数 1

1

回答

[@徐雷frank][¥20]springboot结合quartz使用dubbo的相关问题

2018-11-14 13:30:46 2173浏览量 回答数 1

1

回答

AIX系统上使用普通用户安装来源IBM的JDK1.7,最后一步报错/usr/lib/instl/sm_inst: cannot execute

2018-08-30 16:44:32 2996浏览量 回答数 1
0
文章
719
问答
来源圈子
更多
阿里云中间件主要有包含这么几个: 分布式关系型数据库DRDS_水平拆分 做数据库扩展性的 、消息队列MQ 是做消息的中间件、企业级分布式应用服务EDAS 做分布式服务的、还有一些其他的中间件,比如配置服务、缓存等等。
+ 订阅
相关文档: 全局事务服务GTS 分布式调度任务SchedulerX 云服务总线CSB
问答排行榜
最热
最新
相关电子书
更多
低代码开发师(初级)实战教程
立即下载
阿里巴巴DevOps 最佳实践手册
立即下载
冬季实战营第三期:MySQL数据库进阶实战
立即下载